com.lowagie.text.pdf

## Class PdfTextArray

- java.lang.Object
- - com.lowagie.text.pdf.PdfTextArray

-     public class PdfTextArray
      extends java.lang.Object

  `PdfTextArray` defines an array with displacements and `PdfString`-objects.

  A `TextArray` is used with the operator TJ in `PdfText`. The first object in this array has to be a `PdfString`; see reference manual version 1.3 section 8.7.5, pages 346-347. OR see reference manual version 1.6 section 5.3.2, pages 378-379.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.ArrayList` | `arrayList`
    `private java.lang.Float` | `lastNum`
    `private java.lang.String` | `lastStr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfTextArray()`
    `PdfTextArray(java.lang.String str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(float number)`
    `void` | `add(PdfNumber number)` Adds a `PdfNumber` to the `PdfArray`.
    `void` | `add(java.lang.String str)`
    `(package private) java.util.ArrayList` | `getArrayList()`
    `private void` | `replaceLast(java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### arrayList

          java.util.ArrayList arrayList

    - #### lastStr

          private java.lang.String lastStr

    - #### lastNum

          private java.lang.Float lastNum

  - ### Constructor Detail

    - #### PdfTextArray

          public PdfTextArray(java.lang.String str)

    - #### PdfTextArray

          public PdfTextArray()

  - ### Method Detail

    - #### add

          public void add(PdfNumber number)

      Adds a `PdfNumber` to the `PdfArray`.
      Parameters:
        `number` - displacement of the string

    - #### add

          public void add(float number)

    - #### add

          public void add(java.lang.String str)

    - #### getArrayList

          java.util.ArrayList getArrayList()

    - #### replaceLast

          private void replaceLast(java.lang.Object obj)